Name:          libntlm
Version:       1.7
Release:       1mamba
Summary:       A library that implements Microsoft's NTLM authentication
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nongnu.org/libntlm/
Source:        https://gitlab.com/gsasl/libntlm.git/v%{version}/libntlm-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
libntlm is a library that implement Microsoft's NTLM authentication.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libntlm is a library that implement Microsoft's NTLM authentication.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
./bootstrap

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libntlm.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/libntlm.a
%{_libdir}/libntlm.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README THANKS

%changelog
* Sat Feb 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7-1mamba
- update to 1.7

* Tue Dec 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Sun Nov 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- package created by autospec
